Skip to main content
GET
/
api
/
runs
/
{id}
Get a single run
curl --request GET \
  --url https://data-wizard.ai/api/runs/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "status": "<string>",
  "resultJson": "<string>",
  "partialResultJson": "<string>",
  "targetSchema": "<string>",
  "tokenStats": "<string>",
  "error": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "strategy": "<string>",
  "model": "<string>",
  "includeText": true,
  "includeEmbeddedImages": true,
  "markEmbeddedImages": true,
  "includePageImages": true,
  "markPageImages": true,
  "startedAt": "2023-11-07T05:31:56Z",
  "finishedAt": "2023-11-07T05:31:56Z",
  "chunkSize": 123,
  "duration": "<string>",
  "formattedDuration": "<string>",
  "totalInputTokens": "<string>",
  "data": "<string>",
  "partialData": "<string>",
  "evaluationType": "<string>",
  "bucket": "https://example.com/",
  "savedExtractor": "https://example.com/"
}

Documentation Index

Fetch the complete documentation index at: https://docs.data-wizard.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Value for the http bearer parameter.

Path Parameters

id
string
required

ExtractionRun identifier

Query Parameters

result_json
string

ExtractionRun result_json

partial_result_json
string

ExtractionRun partial_result_json

error
string

ExtractionRun error

model
string

ExtractionRun model

saved_extractor_id
string

ExtractionRun saved_extractor_id

strategy
string

ExtractionRun strategy

status
string

ExtractionRun status

Response

ExtractionRun resource

id
string
read-only
status
string
resultJson
string | null
partialResultJson
string | null
targetSchema
string | null
tokenStats
string | null
error
string | null
createdAt
string<date-time> | null
read-only
updatedAt
string<date-time> | null
read-only
strategy
string
model
string
includeText
boolean
includeEmbeddedImages
boolean
markEmbeddedImages
boolean
includePageImages
boolean
markPageImages
boolean
startedAt
string<date-time> | null
finishedAt
string<date-time> | null
chunkSize
integer | null
duration
string | null
read-only
formattedDuration
string | null
read-only
totalInputTokens
string | null
read-only
data
string | null
read-only
partialData
string | null
read-only
evaluationType
string | null
read-only
bucket
string<iri-reference>
Example:

"https://example.com/"

savedExtractor
string<iri-reference>
Example:

"https://example.com/"